---

nginx_http:
  client:
    max_body_size: "3G"

  includes:
    - includes.d/useragent.rules
    - includes.d/proxy_cache.rules
    - sites-enabled/*.conf

  proxy:
    cache_path:
      - path: "/var/cache/nginx/studio"
        options:
          - levels=1:2
          - keys_zone=studio_cache:10m
          - max_size=50m
          - inactive=60m
          - use_temp_path=off
      - path: /var/cache/nginx/preview
        options:
          - levels=1:2
          - keys_zone=preview_cache:10m
          - max_size=50m
          - inactive=60m
          - use_temp_path=off

  # # rewrite preview url
  # map $request_uri $preview {
  #   default                                               0;
  #   ~*^/preview\?(.*)view=fragmentPreview(.*)$           /cae-preview/servlet$request_uri;
  # }
  # # exchange /blueprint with /cae-preview
  # map $request_uri $blueprint {
  #   default                                               0;
  #   ~*^/blueprint(.*)$           /cae-preview$1;
  # }

...
